Subject: bug#38378: 26.3.50; [PATCH] Add the hierarchy library

From: Damien Cassou <[email-masked]>
Date: Fri, 13 Dec 2019 20:56:24 +0100

João Távora <[email-masked]> writes:
> On Mon, Dec 9, 2019 at 1:24 PM Damien Cassou <[email-masked]> wrote:
>> a Hierarchy is created with (hierarchy-new) and must then be mutated to
>> add elements to it. This is the same as with (make-hash-table).
>
> But are existing external representations of that hierarchy (such as, say
> a buffer displaying it as text) automatically updated when you mutate it?

nothing has been done or is planned to go in that direction. I guess it
would be possible to add hooks here and there to implement something
like that but I haven't spent any time thinking about it.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill